#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# Cisco wlc temperature metrics plugin
#
# Author: Th.L.
# Date  : 2018-03-18
#
#

#####################################################################################################################
#
# define units
#
#####################################################################################################################



#####################################################################################################################
#
# define metrics
#
#####################################################################################################################

metric_info['cisco_wlc_temp_celsius'] = {
    'title': _('Internal temperature'),
    'unit': 'c',
    'color': '26/a',
}

######################################################################################################################
#
# map perfdata to metric
#
######################################################################################################################

check_metrics['check_mk-cisco_wlc_temp'] = {
    'celsius': {'name': 'cisco_wlc_temp_celsius', },
}

######################################################################################################################
#
# how to graph perdata
#
######################################################################################################################

graph_info.append({
    'title': _('WLAN controller internal temperature'),
    'metrics': [
        ('cisco_wlc_temp_celsius', 'area'),
    ],
    'range': (0, 'cisco_wlc_temp_celsius:max'),
    'scalars': [
        ('cisco_wlc_temp_celsius:crit', _('crit level')),
        ('cisco_wlc_temp_celsius:warn', _('warn level')),
    ],
})


######################################################################################################################
#
# define perf-o-meter
#
######################################################################################################################

perfometer_info.append({
    'type': 'logarithmic',
    'metric': 'cisco_wlc_temp_celsius',
    'half_value': 150,
    'exponent': 2,
})
